NSX-T Data Center REST API
Create or update PROJECT
If a Project with the project-id is not already present, create a new Project.If it already exists, update the Project.
Request:
Method:
PATCH
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
Project+
Example Request:
PATCH https://<policy-mgr>/policy/api/v1/orgs/default/projects/project-1 { "site_infos": [ { "edge_cluster_paths": [ "/infra/sites/default/enforcement-points/default/edge-clusters/80788b6c-e834-42ae-aabb-3e49cff56e5c" ], "site_path": "/infra/sites/default" } ], "tier_0s": [ "/infra/tier-0s/pepsi", "/infra/tier-0s/pepsi_remote" ], "external_ipv4_blocks":["/infra/ip-blocks/public"] } // project - tgw cluster based span payload. { "site_infos": [ { "edge_cluster_paths": [ "/infra/sites/default/enforcement-points/default/edge-clusters/80788b6c-e834-42ae-aabb-3e49cff56e5c" ], "site_path": "/infra/sites/default" } ], "tier_0s": [ "/infra/tier-0s/pepsi", "/infra/tier-0s/pepsi_remote" ], "external_ipv4_blocks":["/infra/ip-blocks/public"], "vpc_deployment_scope": { "span_references" : [ { "span_path": "/infra/network-spans/span1", "is_default" : true }, { "span_path": "/infra/network-spans/span2", } ] } } // project - tgw zone based span payload. { "site_infos": [ { "edge_cluster_paths": [ "/infra/sites/default/enforcement-points/default/edge-clusters/80788b6c-e834-42ae-aabb-3e49cff56e5c" ], "site_path": "/infra/sites/default" } ], "tier_0s": [ "/infra/tier-0s/pepsi", "/infra/tier-0s/pepsi_remote" ], "external_ipv4_blocks":["/infra/ip-blocks/public"], "vpc_deployment_scope": { "zone_external_ids": [ "33dbf426-c282-42a0-9ae2-5e924b8a78b4:zone-c38", "33dbf426-c282-42a0-9ae2-5e924b8a78b4:zone-c39" ] } }Successful Response:
Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a